org.apache.felix.deploymentadmin

## Class Utils

- java.lang.Object
- - org.apache.felix.deploymentadmin.Utils

    public class Utils
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Utils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `copy(File from, File to)`
`static boolean` `delete(File root, boolean deleteRoot)`
`static void` `merge(File targetIndex, File target, File sourceIndex, File source)`
`static List` `readIndex(File index)`
`static Manifest` `readManifest(File manifestFile)`
`static boolean` `rename(File from, File to)`
`static boolean` `replace(File target, File source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Utils

    public Utils()

### Method Detail

#### readManifest

    public static Manifest readManifest(File manifestFile)
                                 throws IOException

Throws:
  `IOException`

#### replace

    public static boolean replace(File target,
                                  File source)

#### copy

    public static boolean copy(File from,
                               File to)

#### rename

    public static boolean rename(File from,
                                 File to)

#### delete

    public static boolean delete(File root,
                                 boolean deleteRoot)

#### merge

    public static void merge(File targetIndex,
                             File target,
                             File sourceIndex,
                             File source)
                      throws IOException

Throws:
  `IOException`

#### readIndex

    public static List readIndex(File index)
                          throws IOException

Throws:
  `IOException`